Debian Bug report logs - #572618
libata missing workaround for HPA overlapping normal partitions

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: David Goodenough <david.goodenough@linkchoose.co.uk>

Date: Fri, 5 Mar 2010 09:45:01 UTC

Severity: serious

Tags: moreinfo, pending

Merged with 574795

Found in versions 2.6.32-10, 2.6.32-8

Fixed in version linux-2.6/2.6.32-13

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572618; Package linux-2.6. (Fri, 05 Mar 2010 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Goodenough <david.goodenough@linkchoose.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Mar 2010 09:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Goodenough <david.goodenough@linkchoose.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N
Date: Fri, 05 Mar 2010 09:39:04 +0000
Package: linux-2.6
Version: 2.6.32-8
Severity: important


My hard disk (a Samsumg HM160HC) seems to have a Host Protected Area, which previous kernels did not detect.  So I have
an area of the disk that currently I can not access, but are covered by the partition table.

I read following Google searches that the fix is to use hdparm -N, but when I run it I get:-

$> sudo hdparm -N /dev/hda

/dev/hda:
The running kernel lacks CONFIG_IDE_TASK_IOCTL support for this device.
 READ_NATIVE_MAX_ADDRESS_EXT failed: Invalid argument

Previous kernels (at least 2.6.26 which I used to run on this machine with Debian) did not seem to notice the HPA, so either I need 
a way to turn off the kernel's detection of the HPA or I need CONFIG_IDE_TASK_IOCTL enabled to enable hdparm -N to work.


-- Package-specific info:
** Version:
Linux version 2.6.32-2-686 (Debian 2.6.32-8) (ben@decadent.org.uk) (gcc version 4.3.4 (Debian 4.3.4-6) ) #1 SMP Thu Feb 11 04:08:42 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-2-686 root=UUID=20791f58-eff6-4abb-86ee-a80a335baf62 ro

** Not tainted

** Kernel log:
[   11.869458] lib80211: common routines for IEEE802.11 drivers
[   11.869521] lib80211_crypt: registered algorithm 'NULL'
[   11.884164] ACPI: AC Adapter [ACAD] (off-line)
[   12.018693] udev: renamed network interface eth0 to eth2
[   12.133224] NET: Registered protocol family 23
[   12.148358] ieee80211: 802.11 data/management/control stack, git-1.1.13
[   12.148415] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
[   12.201889] i915 0000:00:02.0: PCI INT A -> Link[LNKA] -> GSI 6 (level, low) -> IRQ 6
[   12.201966] i915 0000:00:02.0: setting latency timer to 64
[   12.206386] [drm] set up 15M of stolen space
[   12.727456] [drm] DAC-6: set mode 640x480 0
[   13.213885] yenta_cardbus 0000:02:06.0: CardBus bridge found [152d:0727]
[   13.213955] yenta_cardbus 0000:02:06.0: O2: res at 0x94/0xD4: ea/00
[   13.214007] yenta_cardbus 0000:02:06.0: O2: enabling read prefetch/write burst
[   13.316206] nsc-ircc, chip->init
[   13.316262] nsc-ircc, Found chip at base=0x164e
[   13.316334] nsc-ircc, driver loaded (Dag Brattli)
[   13.316507] nsc_ircc_open(), can't get iobase of 0x2f8
[   13.316583] nsc-ircc, Found chip at base=0x164e
[   13.316654] nsc-ircc, driver loaded (Dag Brattli)
[   13.316705] nsc_ircc_open(), can't get iobase of 0x2f8
[   13.317048] nsc-ircc 00:0a: disabled
[   13.318081] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
[   13.318149] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[   13.421093] render error detected, EIR: 0x00000010
[   13.421097] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
[   13.421118] render error detected, EIR: 0x00000010
[   13.437039] [drm] LVDS-8: set mode 1024x768 10
[   13.439309] yenta_cardbus 0000:02:06.0: ISA IRQ mask 0x0838, PCI irq 6
[   13.439312] yenta_cardbus 0000:02:06.0: Socket status: 30000006
[   13.439317] pci_bus 0000:02: Raising subordinate bus# of parent bus (#02) from #02 to #06
[   13.439326] yenta_cardbus 0000:02:06.0: pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
[   13.439330] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3000-0x3fff: clean.
[   13.439624] yenta_cardbus 0000:02:06.0: pcmcia: parent PCI bridge Memory window: 0xe0200000 - 0xe07fffff
[   13.439627] yenta_cardbus 0000:02:06.0: pcmcia: parent PCI bridge Memory window: 0x40000000 - 0x47ffffff
[   13.501346] Console: switching to colour frame buffer device 128x48
[   13.527191] fb0: inteldrmfb frame buffer device
[   13.527243] registered panic notifier
[   13.527316] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   13.556710] Intel ICH Modem 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 10 (level, low) -> IRQ 10
[   13.556834] Intel ICH Modem 0000:00:1f.6: setting latency timer to 64
[   13.696345] ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 10
[   13.696424] ipw2200 0000:02:04.0: PCI INT A -> Link[LNKE] -> GSI 10 (level, low) -> IRQ 10
[   13.696599] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[   13.696718] ipw2200 0000:02:04.0: firmware: requesting ipw2200-bss.fw
[   13.707484] Intel ICH 0000:00:1f.5: PCI INT B -> Link[LNKB] -> GSI 10 (level, low) -> IRQ 10
[   13.707614] Intel ICH 0000:00:1f.5: setting latency timer to 64
[   13.996455] ipw2200: Detected geography ZZR (14 802.11bg channels, 0 802.11a channels)
[   13.998171] yenta_cardbus 0000:02:06.1: CardBus bridge found [152d:0727]
[   14.014157] udev: renamed network interface eth0 to eth3
[   14.128829] yenta_cardbus 0000:02:06.1: ISA IRQ mask 0x0838, PCI irq 6
[   14.130669] yenta_cardbus 0000:02:06.1: Socket status: 30000006
[   14.132533] pci_bus 0000:02: Raising subordinate bus# of parent bus (#02) from #06 to #0a
[   14.135688] yenta_cardbus 0000:02:06.1: pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
[   14.137915] pcmcia_socket pcmcia_socket1: cs: IO port probe 0x3000-0x3fff: clean.
[   14.140321] yenta_cardbus 0000:02:06.1: pcmcia: parent PCI bridge Memory window: 0xe0200000 - 0xe07fffff
[   14.142992] yenta_cardbus 0000:02:06.1: pcmcia: parent PCI bridge Memory window: 0x40000000 - 0x47ffffff
[   14.438621] pcmcia_socket pcmcia_socket1: cs: IO port probe 0x100-0x4ff: clean.
[   14.443308] pcmcia_socket pcmcia_socket1: cs: IO port probe 0x800-0x8ff: clean.
[   14.446641] pcmcia_socket pcmcia_socket1: cs: IO port probe 0xc00-0xcff: clean.
[   14.449861] pcmcia_socket pcmcia_socket1: cs: IO port probe 0xa00-0xaff: clean.
[   14.491205] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x4ff: clean.
[   14.495925] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x800-0x8ff: clean.
[   14.499739] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcff: clean.
[   14.502822] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[   14.552030] intel8x0_measure_ac97_clock: measured 55390 usecs (2669 samples)
[   14.554419] intel8x0: clocking to 48000
[   15.406598] EXT3 FS on hda1, internal journal
[   15.612056] ide_generic: please use "probe_mask=0x3f" module parameter for probing all legacy ISA IDE ports
[   15.756076] wbsd: Winbond W83L51xD SD/MMC card interface driver
[   15.759160] wbsd: Copyright(c) Pierre Ossman
[   15.828766] device-mapper: uevent: version 1.0.3
[   15.832493] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
[   16.079432] fuse init (API version 7.13)
[   19.143945] ADDRCONF(NETDEV_UP): eth2: link is not ready
[   21.944073] lib80211_crypt: registered algorithm 'CCMP'
[   21.988967] padlock: VIA PadLock not detected.
[   22.019421] lib80211_crypt: registered algorithm 'TKIP'
[   30.176024] eth3: no IPv6 routers present
[   40.355660] ttyS1: LSR safety check engaged!
[   40.667122] Bluetooth: Core ver 2.15
[   40.669545] NET: Registered protocol family 31
[   40.671828] Bluetooth: HCI device and connection manager initialized
[   40.674116] Bluetooth: HCI socket layer initialized
[   40.701529] Bluetooth: L2CAP ver 2.14
[   40.703738] Bluetooth: L2CAP socket layer initialized
[   40.711709] Bluetooth: RFCOMM TTY layer initialized
[   40.714001] Bluetooth: RFCOMM socket layer initialized
[   40.716221] Bluetooth: RFCOMM ver 1.11
[   40.770039] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   40.772288] Bluetooth: BNEP filters: protocol multicast
[   40.832729] Bridge firewalling registered
[   40.947235] Bluetooth: SCO (Voice Link) ver 0.6
[   40.949465] Bluetooth: SCO socket layer initialized
[   45.596547] [drm] DAC-6: set mode 640x480 0
[   46.093065] [drm] DAC-6: set mode 640x480 0
[   46.776561] [drm] DAC-6: set mode 640x480 0
[   47.273243] [drm] DAC-6: set mode 640x480 0
[   62.214300] [drm] DAC-6: set mode 640x480 0
[   62.708979] [drm] DAC-6: set mode 640x480 0

** Model information
not available

** Loaded modules:
Module                  Size  Used by
binfmt_misc             4875  1 
sco                     5837  2 
bridge                 32851  0 
stp                      996  1 bridge
bnep                    7376  2 
rfcomm                 25063  1 
l2cap                  21677  6 bnep,rfcomm
crc16                   1027  1 l2cap
bluetooth              36259  6 sco,bnep,rfcomm,l2cap
rfkill                 10196  2 bluetooth
michael_mic             1506  4 
arc4                     974  2 
ecb                     1405  2 
lib80211_crypt_tkip     6677  1 
aes_i586                6816  1 
aes_generic            25738  1 aes_i586
lib80211_crypt_ccmp     3643  1 
fuse                   43554  1 
dm_snapshot            17945  0 
dm_mirror               9639  0 
dm_region_hash          5612  1 dm_mirror
dm_log                  6369  2 dm_mirror,dm_region_hash
dm_mod                 45878  3 dm_snapshot,dm_mirror,dm_log
mmc_block               6436  0 
wbsd                    8614  0 
sr_mod                 10770  0 
firewire_sbp2           9575  0 
ide_generic              801  0 [permanent]
snd_intel8x0           19523  2 
snd_intel8x0m           8100  0 
snd_ac97_codec         79140  2 snd_intel8x0,snd_intel8x0m
snd_pcm_oss            28671  0 
snd_mixer_oss          10461  1 snd_pcm_oss
ac97_bus                 710  1 snd_ac97_codec
snd_seq_midi            3576  0 
snd_pcm                47362  4 snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_pcm_oss
snd_rawmidi            12505  1 snd_seq_midi
snd_seq_midi_event      3684  1 snd_seq_midi
snd_seq                35327  3 snd_seq_midi,snd_seq_midi_event
snd_timer              12258  2 snd_pcm,snd_seq
yenta_socket           16403  2 
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
rsrc_nonstatic          7057  1 yenta_socket
ipw2200               108264  0 
i915                  216974  2 
libipw                 18403  1 ipw2200
snd                    34327  15 snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
drm_kms_helper         17183  1 i915
irda                   75888  0 
lib80211                2834  4 lib80211_crypt_tkip,lib80211_crypt_ccmp,ipw2200,libipw
drm                   107431  3 i915,drm_kms_helper
parport_pc             15799  0 
i2c_algo_bit            3497  1 i915
shpchp                 21220  0 
joydev                  6771  0 
container               1833  0 
ac                      1640  0 
i2c_i801                6442  0 
i2c_core               12612  4 i915,drm,i2c_algo_bit,i2c_i801
pci_hotplug            18065  1 shpchp
soundcore               3450  1 snd
snd_page_alloc          4977  3 snd_intel8x0,snd_intel8x0m,snd_pcm
serio_raw               2916  0 
crc_ccitt               1039  1 irda
parport                22554  1 parport_pc
battery                 3782  0 
evdev                   5609  15 
pcspkr                  1207  0 
processor              25811  1 
rng_core                2178  0 
psmouse                44381  0 
ext3                   93828  1 
jbd                    31965  1 ext3
mbcache                 3762  1 ext3
ide_cd_mod             21044  0 
cdrom                  26487  2 sr_mod,ide_cd_mod
ide_gd_mod             17103  2 
ide_pci_generic         1924  0 
ata_generic             2015  0 
libata                114180  1 ata_generic
scsi_mod              101069  3 sr_mod,firewire_sbp2,libata
b44                    18352  0 
ssb                    33311  1 b44
uhci_hcd               15977  0 
mmc_core               38095  3 mmc_block,wbsd,ssb
firewire_ohci          16477  0 
pcmcia                 17442  1 ssb
ehci_hcd               27346  0 
video                  14605  1 i915
piix                    3564  1 
intel_agp              20165  1 
output                  1204  1 video
firewire_core          31007  2 firewire_sbp2,firewire_ohci
crc_itu_t               1035  1 firewire_core
pcmcia_core            20414  4 yenta_socket,rsrc_nonstatic,ssb,pcmcia
mii                     2714  1 b44
button                  3598  1 i915
ide_core               63850  5 ide_generic,ide_cd_mod,ide_gd_mod,ide_pci_generic,piix
agpgart                19516  2 drm,intel_agp
usbcore                97930  3 uhci_hcd,ehci_hcd
nls_base                4541  1 usbcore
thermal                 9206  0 
fan                     2586  0 
thermal_sys             9378  4 processor,video,thermal,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at <unassigned> (32-bit, prefetchable)
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at e0080000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 03) (prog-if 00 [UHCI])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 6
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 03) (prog-if 00 [UHCI])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 6
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 03) (prog-if 00 [UHCI])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 6
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 03) (prog-if 20 [EHCI])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 10
	Region 0: Memory at e0100000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 83) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=0a, sec-latency=64
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: e0200000-e07fffff
	Prefetchable memory behind bridge: 40000000-47ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 03)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 03) (prog-if 8a [Master SecP PriP])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 6
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1810 [size=16]
	Region 5: Memory at 48000000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: PIIX_IDE

00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 03)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 10
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: i801_smbus

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 03)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 10
	Region 0: I/O ports at 1c00 [size=256]
	Region 1: I/O ports at 18c0 [size=64]
	Region 2: Memory at e0100c00 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at e0100800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH

00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 03) (prog-if 00 [Generic])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 10
	Region 0: I/O ports at 2400 [size=256]
	Region 1: I/O ports at 2000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH Modem

02:02.0 Ethernet controller [0200]: Broadcom Corporation BCM4401-B0 100Base-TX [14e4:170c] (rev 02)
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at e0204000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: b44

02:04.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
	Subsystem: Intel Corporation Device [8086:2702]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (750ns min, 6000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at e0206000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ipw2200

02:06.0 CardBus bridge [0607]: O2 Micro, Inc. OZ711M3/MC3 4-in-1 MemoryCardBus Controller [1217:7223]
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at e0207000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
	Memory window 0: 40000000-43fff000 (prefetchable)
	Memory window 1: 4c000000-4ffff000
	I/O window 0: 00003000-000030ff
	I/O window 1: 00003400-000034ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

02:06.1 CardBus bridge [0607]: O2 Micro, Inc. OZ711M3/MC3 4-in-1 MemoryCardBus Controller [1217:7223]
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at e0208000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=07, subordinate=0a, sec-latency=176
	Memory window 0: 44000000-47fff000 (prefetchable)
	Memory window 1: 50000000-53fff000
	I/O window 0: 00003800-000038ff
	I/O window 1: 00003c00-00003cff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

02:06.2 System peripheral [0880]: O2 Micro, Inc. OZ711Mx 4-in-1 MemoryCardBus Accelerator [1217:7110]
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at e0209000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

02:07.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB21 IEEE-1394a-2000 Controller (PHY/Link) [104c:8026] (prog-if 10 [OHCI])
	Subsystem: QUANTA Computer Inc Device [152d:0727]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at e020a000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at e0200000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci


** USB devices:
Bus 001 Device 002: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0 "TetraHub"
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-2-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-2-686 depends on:
ii  debconf [debconf-2.0]        1.5.28      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.93.4      tools for generating an initramfs
ii  module-init-tools            3.12~pre1-1 tools for managing Linux kernel mo
ii  yaird [linux-initramfs-tool] 0.0.13-5    Yet Another mkInitRD

Versions of packages linux-image-2.6.32-2-686 recommends:
ii  firmware-linux-free           2.6.32-9   Binary firmware for various driver
ii  libc6-i686                    2.10.2-5   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.32-2-686 suggests:
ii  grub                          0.97-59    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-2-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.22       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572618; Package linux-2.6. (Fri, 05 Mar 2010 12:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Mar 2010 12:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 572618@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Goodenough <david.goodenough@linkchoose.co.uk>, 572618@bugs.debian.org
Subject: Re: Bug#572618: linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N
Date: Fri, 05 Mar 2010 12:41:55 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2010-03-05 at 09:39 +0000, David Goodenough wrote:
> Package: linux-2.6
> Version: 2.6.32-8
> Severity: important
> 
> 
> My hard disk (a Samsumg HM160HC) seems to have a Host Protected Area, which previous kernels did not detect.  So I have
> an area of the disk that currently I can not access, but are covered by the partition table.
> 
> I read following Google searches that the fix is to use hdparm -N, but when I run it I get:-
> 
> $> sudo hdparm -N /dev/hda
> 
> /dev/hda:
> The running kernel lacks CONFIG_IDE_TASK_IOCTL support for this device.
>  READ_NATIVE_MAX_ADDRESS_EXT failed: Invalid argument
> 
> Previous kernels (at least 2.6.26 which I used to run on this machine with Debian) did not seem to notice the HPA, so either I need 
> a way to turn off the kernel's detection of the HPA or I need CONFIG_IDE_TASK_IOCTL enabled to enable hdparm -N to work.

You should be able to make the kernel ignore the HPA thus:

1. Create a file under /etc/modprobe.d containing the lines:
       options ide_core nohpa=0.0
       options libata ignore_hpa=1
2. Run 'update-initramfs -u -k 2.6.32-2-686'
3. Reboot

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'IDE core applies Host Protected Area where it was previously ignored' from 'linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 05 Mar 2010 13:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572618; Package linux-2.6. (Fri, 05 Mar 2010 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Goodenough <david.goodenough@linkchoose.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Mar 2010 13:39:05 GMT) Full text and rfc822 format available.

Message #17 received at 572618@bugs.debian.org (full text, mbox):

From: David Goodenough <david.goodenough@linkchoose.co.uk>
To: Ben Hutchings <ben@decadent.org.uk>, 572618@bugs.debian.org
Subject: Re: Bug#572618: linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N
Date: Fri, 5 Mar 2010 13:03:10 +0000
On Friday 05 March 2010, Ben Hutchings wrote:
> On Fri, 2010-03-05 at 09:39 +0000, David Goodenough wrote:
> > Package: linux-2.6
> > Version: 2.6.32-8
> > Severity: important
> >
> >
> > My hard disk (a Samsumg HM160HC) seems to have a Host 
Protected Area,
> > which previous kernels did not detect.  So I have an area of the disk
> > that currently I can not access, but are covered by the partition table.
> >
> > I read following Google searches that the fix is to use hdparm -N, but
> > when I run it I get:-
> >
> > $> sudo hdparm -N /dev/hda
> >
> > /dev/hda:
> > The running kernel lacks CONFIG_IDE_TASK_IOCTL support for this 
device.
> >  READ_NATIVE_MAX_ADDRESS_EXT failed: Invalid argument
> >
> > Previous kernels (at least 2.6.26 which I used to run on this machine
> > with Debian) did not seem to notice the HPA, so either I need a way to
> > turn off the kernel's detection of the HPA or I need
> > CONFIG_IDE_TASK_IOCTL enabled to enable hdparm -N to work.
> 
> You should be able to make the kernel ignore the HPA thus:
> 
> 1. Create a file under /etc/modprobe.d containing the lines:
>        options ide_core nohpa=0.0
>        options libata ignore_hpa=1
> 2. Run 'update-initramfs -u -k 2.6.32-2-686'
> 3. Reboot
> 
> Ben.
> 
Excellent, thank you that worked.  I had found the libata ignore_hpa=1
in various forums, but no one had mentioned the ide_core nohpa=0.0
and that (or rather the combination of the two) did the trick.

Can I close the bug (if so how) otherwise feel free to close it.

Given that these days (I know in the past that IBM PS/2 machines
needed an area for BIOS most of which was stored on disk) the only
use for HPA seems to be for windows reload areas, I suppose the 
only question is when you would want HPA to be enabled on a linux
box?

David




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572618; Package linux-2.6. (Sun, 14 Mar 2010 22:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Mar 2010 22:42:06 GMT) Full text and rfc822 format available.

Message #22 received at 572618@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Goodenough <david.goodenough@linkchoose.co.uk>
Cc: 572618@bugs.debian.org
Subject: Re: Bug#572618: linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N
Date: Sun, 14 Mar 2010 22:40:48 +0000
[Message part 1 (text/plain, inline)]
Going back to your original report:

On Fri, 2010-03-05 at 09:39 +0000, David Goodenough wrote:
[...]
> Previous kernels (at least 2.6.26 which I used to run on this machine
> with Debian) did not seem to notice the HPA, so either I need a way to
> turn off the kernel's detection of the HPA or I need
> CONFIG_IDE_TASK_IOCTL enabled to enable hdparm -N to work.

Now I don't understand this.  Once an HPA has been created, it will be
hidden by the drive unless the kernel or BIOS specifically overrides
this.  It does not depend on the kernel to detect and implement the HPA.

Is it possible that you have changed or reset a BIOS option that was
overriding the HPA?

Ben.

-- 
Ben Hutchings
I say we take off; nuke the site from orbit.  It's the only way to be sure.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 14 Mar 2010 22:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572618; Package linux-2.6. (Mon, 15 Mar 2010 10:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Goodenough <david.goodenough@linkchoose.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 10:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 572618@bugs.debian.org (full text, mbox):

From: David Goodenough <david.goodenough@linkchoose.co.uk>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 572618@bugs.debian.org
Subject: Re: Bug#572618: linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N
Date: Mon, 15 Mar 2010 10:02:05 +0000
On Sunday 14 March 2010, Ben Hutchings wrote:
> Going back to your original report:
> 
> On Fri, 2010-03-05 at 09:39 +0000, David Goodenough wrote:
> [...]
> 
> > Previous kernels (at least 2.6.26 which I used to run on this machine
> > with Debian) did not seem to notice the HPA, so either I need a way to
> > turn off the kernel's detection of the HPA or I need
> > CONFIG_IDE_TASK_IOCTL enabled to enable hdparm -N to work.
> 
> Now I don't understand this.  Once an HPA has been created, it will be
> hidden by the drive unless the kernel or BIOS specifically overrides
> this.  It does not depend on the kernel to detect and implement the 
HPA.
> 
> Is it possible that you have changed or reset a BIOS option that was
> overriding the HPA?
> 
> Ben.
> 

Another question arises, *parted still think that the device is full size 
so obviously the drive is not hiding the HPA very well!

David




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 21 Mar 2010 05:33:21 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 21 Mar 2010 15:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572618; Package linux-2.6. (Sun, 04 Apr 2010 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Apr 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #38 received at 572618@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Goodenough <david.goodenough@linkchoose.co.uk>
Cc: 572618@bugs.debian.org
Subject: Re: Bug#572618: linux-image-2.6.32-2-686: missing config option CONFIG_IDE_TASK_IOCTL detected by hdparm -N
Date: Sun, 04 Apr 2010 20:46:03 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-03-15 at 10:02 +0000, David Goodenough wrote:
> On Sunday 14 March 2010, Ben Hutchings wrote:
> > Going back to your original report:
> > 
> > On Fri, 2010-03-05 at 09:39 +0000, David Goodenough wrote:
> > [...]
> > 
> > > Previous kernels (at least 2.6.26 which I used to run on this machine
> > > with Debian) did not seem to notice the HPA, so either I need a way to
> > > turn off the kernel's detection of the HPA or I need
> > > CONFIG_IDE_TASK_IOCTL enabled to enable hdparm -N to work.
> > 
> > Now I don't understand this.  Once an HPA has been created, it will be
> > hidden by the drive unless the kernel or BIOS specifically overrides
> > this.  It does not depend on the kernel to detect and implement the 
> HPA.
> > 
> > Is it possible that you have changed or reset a BIOS option that was
> > overriding the HPA?
> > 
> > Ben.
> > 
> 
> Another question arises, *parted still think that the device is full size 
> so obviously the drive is not hiding the HPA very well!

I now understand this bug: there is already a workaround in Linux that
causes the HPA to be automatically disabled if it overlaps a partition,
but the workaround only works for the old IDE drivers.  I've reported
this upstream and we are close to a solution which will make this work
for the new drivers too.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 572618 574795. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Apr 2010 20:03:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'libata missing workaround for HPA overlapping normal partitions' from 'IDE core applies Host Protected Area where it was previously ignored' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 06 Apr 2010 04:51:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 14 May 2010 22:42:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:25 GMT) Full text and rfc822 format available.

Notification sent to David Goodenough <david.goodenough@linkchoose.co.uk>:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:26 GMT) Full text and rfc822 format available.

Message #49 received at 572618-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 572618-close@bugs.debian.org
Subject: Bug#572618: fixed in linux-2.6 2.6.32-13
Date: Tue, 18 May 2010 14:22:58 +0000
Source: linux-2.6
Source-Version: 2.6.32-13

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-13_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-13_all.deb
linux-2.6_2.6.32-13.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-13.diff.gz
linux-2.6_2.6.32-13.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-13.dsc
linux-base_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-13_all.deb
linux-doc-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-13_all.deb
linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
linux-libc-dev_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-13_amd64.deb
linux-manual-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-13_all.deb
linux-patch-debian-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-13_all.deb
linux-source-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-13_all.deb
linux-support-2.6.32-5_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-13_all.deb
xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 May 2010 15:29:27 +0200
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64 linux-image-2.6.32-5-xen-amd64-dbg
 xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg
 linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x
 linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x
 linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-all-sparc64
Architecture: source all amd64
Version: 2.6.32-13
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Closes: 365349 407217 466977 548090 562486 566522 572618 572842 573007 575207 575223 577227 578129 578349 578994 579019 579234 579268 579308 579763 579864 580467 580538 580602 580652 580710 580740 580799 580855 580915 581392 581399
Changes: 
 linux-2.6 (2.6.32-13) unstable; urgency=low
 .
   [ Frederik Schueler ]
   * sparc: Fix use of uid16_t and gid16_t in asm/stat.h
 .
   [ Moritz Muehlenhoff ]
   * Enable tomoyo (Closes: #562486)
 .
   [ maximilian attems]
   * backport KVM: x86: Extend KVM_SET_VCPU_EVENTS with selective updates.
     (closes: #580652)
   * KEYS: find_keyring_by_name() can gain access to a freed keyring.
     CVE-2010-1437
   * hppa, sparc, powerpc disable BLK_DEV_CMD64X.
   * topconfig enable PATA_CMD64X. (closes: #580799)
   * x86: Disable CRYPTO_AES_NI_INTEL as it causes boot failures on T410.
   * Add stable 2.6.32.13:
     - [SCSI] Enable retries for SYNCRONIZE_CACHE commands to fix I/O error.
     - [SCSI] Retry commands with UNIT_ATTENTION sense codes to fix ext3/ext4
       I/O errors.
     - [SCSI] skip sense logging for some ATA PASS-THROUGH cdbs
       (Closes: #578129)
     - raid6: fix recovery performance regression.
     - raid456: Enable error-correction on singly-degraded RAID6
       (Closes: #581392)
     - r8169: fix broken register writes (Closes: #407217, #573007)
     - V4L/DVB: budget: Fix crash in case of failure to attach frontend
       (Closes: #575207)
   * drm/edid: Fix 1024x768@85Hz.
 .
   [ Ben Hutchings ]
   * linux-base: Fix typo in disk relabelling code (Closes: #580467)
   * linux-base: Don't quote boot device name in elilo.conf
     (Closes: #580710; works-around: #581173)
   * rtl8192su: Add IDs for several more devices (Closes: #580740)
   * Add drm and sfc changes from stable 2.6.33.4
   * Improve workaround for HPAs (Host Protected Areas) overlapping
     partitions, thanks to Tejun Heo:
     - SCSI/libata: Disable HPA if it overlaps a partition (Closes: #572618)
     - buffer: Make invalidate_bdev() drain all percpu LRU add caches
     - block: Rescan partition tables after HPA is disabled
     - libata: Disable HPA if it is only enabled after suspend
   * V4L/DVB: budget: Select correct frontend drivers (Closes: #575223)
   * 3c503: Fix IRQ probing (Closes: #566522)
   * sis-agp: Remove SIS 760, handled by amd64-agp
   * amd64-agp: Probe unknown AGP devices the right way (Closes: #548090)
 .
   [ Aurelien Jarno ]
   * mips/swarm: fix boot from IDE based media (Sebastian Andrzej Siewior)
     (closes: #466977).
   * backport mips/swarm: fix M3 TLB exception handler.
   * backport MIPS FPU emulator: allow Cause bits of FCSR to be writeable
     by ctc1. (closes: #580602).
   * mips/swarm: enable adm* hwmon drivers.
   * backport Input: Add support of Synaptics Clickpad device (Closes: #572842)
 .
   [ Bastian Blank ]
   * Fix symlinks in several packages.
   * Update Xen patch.
   * [amd64, i386/{686-bigmem,openvz-686,vserver-686-bigmem,xen-686}]
     Build debugging symbols. (closes: #365349)
   * Ignore crypto ABI changes.
 .
   [ Martin Michlmayr ]
   * Backport GuruPlug support.
 .
   [ Christian Perrier ]
   * Update debconf templates:
     - English revised by the debian-l10n-english team as part of the Smith
       review project (Closes: #578349)
     - Vietnamese (Clytie Siddall) (Closes: #579234)
     - German (Holger Wansing) (Closes: #579864)
     - Russian (Yuri Kozlov) (Closes: #578994)
     - Estonian (mihkel) (Closes: #579019)
     - Czech (Michal Simunek) (Closes: #579268)
     - Swedish (Martin Bagge) (Closes: #579308)
     - French (David Prévot) (Closes: #579763)
     - Spanish (Omar Campagne) (Closes: #580538)
     - Portuguese (Américo Monteiro) (Closes: #577227)
     - Japanese (Kenshi Muto) (Closes: #580855)
     - Danish (Joe Hansen) (Closes: #580915)
     - Czech (Michal Simunek) (Closes: #581399)
Checksums-Sha1: 
 e1ed0b1eeec235e2ca7a54c8d3032afc5ab4f4d2 6276 linux-2.6_2.6.32-13.dsc
 da5b6a00958bd1fa4612cb70b8fcbb5acb79fd70 8631684 linux-2.6_2.6.32-13.diff.gz
 5ea809a472ee295dbe7f251639af76d65cab7d94 6033068 linux-doc-2.6.32_2.6.32-13_all.deb
 27d468cef4ebce58156dbc6c78e85bf3836e37d0 2706044 linux-manual-2.6.32_2.6.32-13_all.deb
 dbac1231be53e8e140d782b7d13b4815f27d185e 2801400 linux-patch-debian-2.6.32_2.6.32-13_all.deb
 a8724b803f09d7743dec97685d987ffa31247109 64339944 linux-source-2.6.32_2.6.32-13_all.deb
 906432f95cf551354e4a7c4b50c6800afeeef0ff 143778 linux-support-2.6.32-5_2.6.32-13_all.deb
 ea5c5a2ec96b9d84523921c005b564fcae23922b 132758 firmware-linux-free_2.6.32-13_all.deb
 35fecd3de76bb4c3ffa3b0a9c391ce343bdf2ade 148448 linux-base_2.6.32-13_all.deb
 fced13263b0c7ffb3ee793f682f410230e52ca32 28261390 linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 f2ce1f4192a65e9f38589d1cd5c4463ab84aa3c0 371532144 linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 d74224ef2e50ca961ae2ea5ffe641df673b75487 506076 linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 ca243b82715bad7aff455d3b98b36efe7e46abd3 3878134 linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 af0f75989ca0884af908a419b2747f71a050cc8c 28405666 linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 80e7bfb2a0e639be840d3313a3c2f11cd517406e 438944014 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 26bf2b2edf8708b0e6dd10d92bfc6a69f6772820 532292 linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 837969631f374d1b8254b920824ebf328d106615 3929800 linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 7318f041b324f2f37aa2d55f5e187b24fee90b5c 127764 linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 dde5d00a2bc48fce20974686cd45554ec8437848 127792 linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 bc958989b130a4dd88eb10624e5ec9b40488795d 824320 linux-libc-dev_2.6.32-13_amd64.deb
 ec99d04739622b11f220f53c161c85fc85ced4d9 28320798 linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 63b6c3577bad041a4d19b631dca3992aa848702a 380616050 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 ef7a2425d0e9ebaa22155a89923b6d71e4116834 507398 linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 3244dc91eade6da2a177ee3bb21f1b7c85661bea 3911184 linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 2645d15a71d79bee6169360051410a6f5e7fbcef 28358824 linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 2cc483fb3c45b8fc98cd4331059e27ec3b854599 373481778 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 1e08964c76b955d040fd514dfc3403028d022fa8 508276 linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 61357144c23aa6094b00b7a5a1b3fadb9f8d3c2e 127760 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 a5458ea8bb43b1ebbaa6eb52e49ff0b6bdd43b66 3899120 linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
Checksums-Sha256: 
 952edb6ccfc90156e7e93079893fd6898c40fa89704787cf6f0f18a0017ed4c9 6276 linux-2.6_2.6.32-13.dsc
 c84d22c7819b210b444f6a8105fe5fbda0d2ad6245872c5a15a3c6e0b4eec377 8631684 linux-2.6_2.6.32-13.diff.gz
 8e7ed9832432a7073ddb1eabdf94228ea8186416d0c3ce4cdfda027d5a77f6ff 6033068 linux-doc-2.6.32_2.6.32-13_all.deb
 1b62d4e494186a5e631e5d1afa3d3f77542f821575e075e7ce7497f4c95dc714 2706044 linux-manual-2.6.32_2.6.32-13_all.deb
 06fcc56f96e765ff767b18948fb895bd3d4edecb99491e4d1f31bd2e0259bd49 2801400 linux-patch-debian-2.6.32_2.6.32-13_all.deb
 54663d1ae8547f79bc9ff42775d50296fbfb8cfb1adaeb4d73e11fc6704ada8a 64339944 linux-source-2.6.32_2.6.32-13_all.deb
 2f9744bbbae808c2c028912d51e9657d171163fb0162cbc9d40c623fd4fb699e 143778 linux-support-2.6.32-5_2.6.32-13_all.deb
 b2e7ccf1bb7ddf48184f0d60b055ed65aed4fdbf9426e9bee79209da82ca7915 132758 firmware-linux-free_2.6.32-13_all.deb
 a3640f2e362e1495fa0258ee12cf37e7984ba50ff39e14d3109b58523abf8bca 148448 linux-base_2.6.32-13_all.deb
 35031e0eb6caf884511fe5a7aabc859da41f475179b3ffbf491a104119f403a4 28261390 linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 4bf9d971b82265d5d8d03aa43e3bfad62bb46c808b4e1acfb76a3f6759f8d787 371532144 linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 a0fdb50f75b43e3121a9fd9cb850e9716934e133bcc953d46f946a0e386a5908 506076 linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 bfd87765c5d04b9a5e631d83a991ec1e2526bd529249b2831a5223fed654cd58 3878134 linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 8e74fb08a404b77dcb5fc91b91543dade6426a5209e11dd793599e7be37e854f 28405666 linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 73d1cb06515bda7543365ad0e37d59ca6ef962b09275f47fb67c69d4c87ea34f 438944014 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 f1872ab39a7c30ba026aac3b121afeac100adc64cb3e3a239b9ea76292235af9 532292 linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 f21102af37865685fe904d8c6052807e9133917e14e42f36ba11e99bd26bc1c9 3929800 linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 954d1fc3683823d3317deaf16820f39481e186f1538db0d50933d21fa99f829b 127764 linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 1085ae57a29ee9490ac63df3b19fbf7753972c3d2fb2b54329edd9c191545269 127792 linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 8f7ec0d1bd18125804c16e60bced5f4370d9c72196f10cf3c8d1de04e17993f8 824320 linux-libc-dev_2.6.32-13_amd64.deb
 6c3ac91311b596c1b908ac346bcf1619523b3e3c79e690450c16e384f6807ab5 28320798 linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 6564b26277069bdae63e175b8e7bafd45576f09d7c92c705991cfab1820947cc 380616050 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 a2c57e7fb7d26b2d90c3adc655e1996e662db1febec917c427e23cf34ac1d1ba 507398 linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 ad7002382157070806783fab71e86f040653dec4ca07f9d6c486357d8698896f 3911184 linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 53b1bda725b1c6d8f913842ed22a02926b9ee8be3f3648285a8a094525a43e15 28358824 linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 94e289bcdc3b8543223f2c8d9a4e4f9a9d17058eb61dd8aa84463a03fc6634cd 373481778 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 7b9a6bba90f038c79d83f383e5d42f4da1c44443833b9b24720eabf59bbed3aa 508276 linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 2358f92a28393b612d63e5c32e9f37eacea584bb555a14d7c7ea25583e1cea77 127760 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 bbbed4f1bbf24a4fd4f137d68edd4ab37168627e31063cb3465689fe6fe117fd 3899120 linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
Files: 
 93cdc5b2d6a81ca19bd1b51ed15b7858 6276 kernel optional linux-2.6_2.6.32-13.dsc
 7b7ea740005b9315a58d74cdf05a30fa 8631684 kernel optional linux-2.6_2.6.32-13.diff.gz
 4be431fdc21912bab2a96ea4eb99fc16 6033068 doc optional linux-doc-2.6.32_2.6.32-13_all.deb
 a8ab48a59caaf21418b04ccb4e04857d 2706044 doc optional linux-manual-2.6.32_2.6.32-13_all.deb
 394310cfab79db9621dfcb58f7c0753a 2801400 kernel optional linux-patch-debian-2.6.32_2.6.32-13_all.deb
 bce422f58b18ccc9a29c0f5819ff2b05 64339944 kernel optional linux-source-2.6.32_2.6.32-13_all.deb
 e2229b2f7262e84cfdaea716bd60f389 143778 devel optional linux-support-2.6.32-5_2.6.32-13_all.deb
 22ae46fa41adfe03989912f3fd9469d2 132758 kernel optional firmware-linux-free_2.6.32-13_all.deb
 8c560c2beaefbb81c2cea7c1d1887dc4 148448 kernel optional linux-base_2.6.32-13_all.deb
 96e01eafb4036cacb5f7612a62890038 28261390 kernel optional linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 7e14c82406738fdc627bab21061b4cf9 371532144 debug extra linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 e5c1ba05bb32686d2b13ee84a5810f2c 506076 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 475e76f3302c8d237f966eeb036a4bc7 3878134 kernel optional linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 c558da499f65a2f439ff62cc098cde33 28405666 kernel optional linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 10af62ad3b2193312d3283d4b893931f 438944014 debug extra linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 0388bf62bdb2e6d95261fef31079e0db 532292 kernel optional linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 9d3327157da1cd201ac120183aa30ca3 3929800 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 465fff10ea5c67fc45891aedb820fae7 127764 kernel optional linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 3d16e272b43fd24049f395c3397602dc 127792 kernel optional linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 d40edd50262da18eac1860e56c88e1ae 824320 devel optional linux-libc-dev_2.6.32-13_amd64.deb
 97e93036b5e41b15aa3b9fac871b61a6 28320798 kernel optional linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 1a904f83048267626d0200a81ec4978e 380616050 debug extra linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 b545213c85ca9d85e618962b716fa878 507398 kernel optional linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 5c23a91476f0d12ab06bd46e033c0518 3911184 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 ca4f364b05b461c5c024aa93fa1d797e 28358824 kernel optional linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 129e390d94ee49e4a128306216daa033 373481778 debug extra linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 a7348ad1ea57b0d4d3c0a68be0c1d053 508276 kernel optional linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 6d080c9e1dc81287b87c1f837738a179 127760 kernel optional xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 b4182d9b98d8c1d1042f49f982dbb0e3 3899120 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkvxuUYACgkQeW7Lc5tEHqjESgCgz5vSikpRpz/oJrR9mvb33a07
fdoAoJkmSzsHLvci/krFKy60TxbkLEq2
=8CSa
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:26 GMT) Full text and rfc822 format available.

Notification sent to Cesare Leonardi <celeonar@gmail.com>:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:26 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 May 2010 08:09:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Jun 2010 07:31:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:29:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.